IntelliJ IDEA 11.1.4 Update Available

We are very pleased to announce, that IntelliJ IDEA 11.1.4 finally has been released and available for download. The release includes multiple performance optimizations and bugfixes.

The full list of changes may be found in Release Notes.

If you are running IntelliJ IDEA 11 or higher, call Check for Update action from the IDE to download and install the patch.

Stay tuned for more exciting news coming soon.

Develop with Pleasure!

About Andrey Cheptsov

Andrey Cheptsov is IntelliJ IDEA product marketing manager at JetBrains. He's passionate about productivity, programming languages and tools.
This entry was posted in News & Events and tagged . Bookmark the permalink.

16 Responses to IntelliJ IDEA 11.1.4 Update Available

  1. Justin Smith says:

    I’ve download it twice now. Both times when I tried to run it I got an “Installer integrity check has failed.”

    The file I got is 186,515,160 bytes and has an MD5 checksum of:
    dfe796446f3626d28393ea75622cd101

  2. xav says:

    Same problem here. Downloaded twice from two different PC and ISP and have the same corruption problem

  3. serge says:

    Indeed, download for ideaIU-11.1.4.exe is broken on some mirrors, here is the correct MD5:
    4a9db529a3cfd253fc16960b0a50526a *ideaIU-11.1.4.exe

    Please use this mirror until it’s fixed:
    http://download-cf.jetbrains.com/idea/ideaIU-11.1.4.exe

  4. Adi says:

    what about the zipped version ? I do not see it in the download section.

  5. serge says:

    We never provide direct links for the zipped release versions, but you can guess them from the other links, just replace .exe with .zip.

  6. Antonel Pazargic says:

    Hello Idea IntelliJ Dev and Support Teams

    I cannot update from the latest IntelliJ 11.1.4 RC no matter what update channel I choose.
    Downloading is not always an option because we have changes in idea.vmoptions (both versions x86, 64).
    Could someone explain the update mechanism?
    I know so far:
    - Major release require download (11.x.x -> 12.0.0),
    - Updating EAP releases through update support require subsequent versions (if you skip one you you have to download and install it)
    - Bug-Fixing non-major GA (meaning changes for 2nd and 3rd version number) versions requires subsequent previous Bug-Fixing non-major GA? In order to update to 11.1.4 we have to have 11.1.3. This is inconvenient because regularly we have installed the latest RC – 11.1.4-RC2 -> 11.1.4. :((((

    Thank you for further explanation

    Regards

  7. Victor says:

    Ultimate 11.1.3 reports that I have the latest version when trying to update.
    Why is that?

  8. lordB8r says:

    each time i’ve tried to update, i get the following error:

    java.io.IOException: Cannot set executable permissions for: /Applications/IntelliJ IDEA 11.app/build.txt
    at com.intellij.updater.Utils.setExecutable(Utils.java:62)
    at com.intellij.updater.UpdateAction.doApply(UpdateAction.java:46)
    at com.intellij.updater.PatchAction.apply(PatchAction.java:138)
    at com.intellij.updater.Patch$3.forEach(Patch.java:194)
    at com.intellij.updater.Patch.forEach(Patch.java:239)
    at com.intellij.updater.Patch.apply(Patch.java:190)
    at com.intellij.updater.PatchFileCreator.apply(PatchFileCreator.java:75)
    at com.intellij.updater.PatchFileCreator.apply(PatchFileCreator.java:66)
    at com.intellij.updater.Runner.doInstall(Runner.java:192)
    at com.intellij.updater.Runner.access$000(Runner.java:13)
    at com.intellij.updater.Runner$1.execute(Runner.java:159)
    at com.intellij.updater.SwingUpdaterUI$5.run(SwingUpdaterUI.java:186)
    at java.lang.Thread.run(Thread.java:680)

  9. Berty says:

    I have exactly the same issue Victor described : I am running version 11.1.3 and the update check states this is the latest available version. My HTTP proxy is configured as before and I could upgrade automatically plugins and even IntelliJ itself, as far as I remember…

  10. Maxim Mosienko says:

    11.1.4 is the same as 11.1.4 rc

  11. Maxim Mossienko says:

    Problem with broken files available for download should be already fixed.

  12. Shawn says:

    Why not provide the .zip version?
    Do you know how many corporate environments don’t allow the download of .exe files

    Come on live in the real world..

  13. Joe says:

    After upgrading, the cursor is invisible. I think its being set as the same color as the “caret row” color.

    I upgraded java on osx at the same time, so it could be one or the other. Anyone seeing this on osx Mountain Lion?
    joe$ java -version
    java version “1.6.0_37″
    Java(TM) SE Runtime Environment (build 1.6.0_37-b06-434-11M3909)
    Java HotSpot(TM) 64-Bit Server VM (build 20.12-b01-434, mixed mode)

  14. Adi says:

    A zip version please!

  15. Dieter says:

    You should really add a check to see if the user has the correct privileges to run the updater.

    On a typical Linux installation, the IntelliJ installation files will be owned by root, and the program will be run as a regular user. If you try to run the updater as a regular user, I get a message that there are a lot of conflicts, and I can proceed or cancel.
    Whatever I choose, nothing happens and IntelliJ restarts without having updated.

    This can be solved by just running IntelliJ as root and then running the updater.

    It would be user friendly to add a check for this though, so people don’t lose precious time trying to understand what these ‘conflicts’ are and why the h*** IntelliJ does not want to update…

  16. Adi says:

    Hello,
    Is it very difficult to provide a zip version of a new release ?
    Just curious cause every time you release a new version, I have to get it installed by the admin guys here….corporate security stuff.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">